Package org.apache.tapestry5.internal.services

## Class PageActivatorImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.PageActivatorImpl

- All Implemented Interfaces:
    `PageActivator`

      public class PageActivatorImpl
      extends java.lang.Object
      implements PageActivator

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PageActivatorImpl​(org.slf4j.Logger logger, MetaDataLocator metaDataLocator, UnknownActivationContextHandler unknownActivationContextHandler, Request request)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `activatePage​(ComponentResources pageResources, EventContext activationContext, ComponentEventResultProcessor resultProcessor)` | Activates the page.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PageActivatorImpl

          public PageActivatorImpl​(org.slf4j.Logger logger,
                                   MetaDataLocator metaDataLocator,
                                   UnknownActivationContextHandler unknownActivationContextHandler,
                                   Request request)

  - ### Method Detail

    - #### activatePage

          public boolean activatePage​(ComponentResources pageResources,
                                      EventContext activationContext,
                                      ComponentEventResultProcessor resultProcessor)
                               throws java.io.IOException

      Description copied from interface: `PageActivator`
      Activates the page.
      Specified by:
        `activatePage` in interface `PageActivator`
      Parameters:
        `pageResources` - resource for the page
        `activationContext` - the page activation context
        `resultProcessor` - responsible for handling the value returned from the event handler method
      Returns:
        true if result processor received a non-null value (indicating that the processing of the request should terminate)
      Throws:
        `java.io.IOException`